package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.employAhthenticationCompany.entity.EmployAhthenticationCompany;
import org.jeecg.modules.employAuthenticationPerson.entity.EmployAuthenticationPerson;
import org.jeecg.modules.employBillInfo.entity.EmployBillInfo;
import org.jeecg.modules.employFeedback.entity.EmployFeedback;
import org.jeecg.modules.employNotebook.entity.EmployNotebook;
import org.jeecg.modules.employVipUser.entity.EmployVipUser;
import org.jeecg.modules.employWorkInfo.entity.EmployWorkInfo;

public interface CommonApiService {

    /***************首页***************/
    //获取banner图列表
    public Result<?> queryBannerList(String bannerCategoryId, PageBean pageBean);

    //获取工种列表带分页
    public Result<?> queryJobTypeList(PageBean pageBean);

    //获取工作性质列表
    public Result<?> queryJobNatureList(PageBean pageBean);

    //获取地址列表带分页
    public Result<?> queryAddressList(PageBean pageBean);

    /***************记工记账***************/
    //个人记工-新建账本
    public Result<?> addNoteBook(String token, EmployNotebook employNotebook);

    //个人记工-新建账本
    public Result<?> updateNoteBook(String token, EmployNotebook employNotebook);

    //个人记工-全年收支
    public Result<?> queryBill(String token, String employNoteBookId, PageBean pageBean);

    //个人记工-技工问题
    public Result<?> addQuestion(String toke, EmployFeedback employFeedback);

    //个人记工-在建项目/结束项目
    public Result<?> queryNotebookList(String token, String type, String status, PageBean pageBean);

    //个人记工-项目记账
    public Result<?> addBillInfo(String token, EmployBillInfo employBillInfo);

    //个人记工-项目记工
    public Result<?> addWorkInfo(String token, EmployWorkInfo employWorkInfo);

    /***************会员中心***************/
    //会员中心-正式积分||临时积分
    public Result<?> queryScore(String token);

    //会员中心-积分记录
    public Result<?> queryScoreRecord(String token, String type, PageBean pageBean);

    //会员中心-获取VIP配置信息
    public Result<?> queryVipType(String type, PageBean pageBean);

    //会员中心-开通VIP
    public Result<?> addVip(String token, EmployVipUser employVipUser);

    //会员中心-充值积分
    public Result<?> addScoreByShare(String token, String score);

    //会员中心-充值积分
    public Result<?> addScoreBySign(String token, Double score);

    //会员中心-实名认证
    public Result<?> addAuthenticationPerson(String token, EmployAuthenticationPerson employAuthenticationPerson);

    //会员中心-企业
    public Result<?> addAuthenticationCompany(String token, EmployAhthenticationCompany employAhthenticationCompany);



}
